Package ch.qos.logback.core.util

# Class CachingDateFormatter

java.lang.Object
ch.qos.logback.core.util.CachingDateFormatter

public class CachingDateFormatter extends Object
A synchronized implementation of SimpleDateFormat which uses caching internally.

Since:
  0.9.29
Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`CachingDateFormatter(String pattern)`

## Method Summary

Modifier and Type
Method
Description
`final String`
`format(long now)`
`void`
`setTimeZone(TimeZone tz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CachingDateFormatter

public CachingDateFormatter(String pattern)

## Method Details

### format

public final String format(long now)

### setTimeZone

public void setTimeZone(TimeZone tz)